<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" />
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
    <title>Task 32.50</title>
</head>

<body onload="onPageLoading()">
    <div class="container">
        <div class="text-center">
            <h2>Danh sách người dùng đăng kí</h2>
        </div>
        <table class="table table-bordered table-striped table-hover" id="tbl-users">
            <thead>
                <tr>
                    <th>Id</th>
                    <th>Firstname</th>
                    <th>Lastname</th>
                    <th>Country</th>
                    <th>Subject</th>
                    <th>Customer type</th>
                    <th>Register Status</th>
                    <th>Action</th>
                </tr>
            </thead>
            <tbody>

            </tbody>
        </table>
    </div>
</body>

<script>
    function onPageLoading() {
        callAPIGetDataUser();
    }

    function callAPIGetDataUser() {
        "use strict";
        $.ajax({
            url: "http://203.171.20.210:8080/crud-api/users/",
            type: "GET",
            dataType: "json",
            success: function (res) {
                console.log(res);
                loadUserDataToTable(res);
            },
            error: function (ajaxContext) {
                alert(ajaxContext.responseText);
            },
        });

        
    }

    function loadUserDataToTable(paramUserData) {
        for (var bI = 0; bI < paramUserData.length; bI++) {
            var bNewRow = $("<tr>").appendTo("#tbl-users tbody");

            $("<td>").html(paramUserData[bI].id).appendTo(bNewRow);
            $("<td>").html(paramUserData[bI].firstname).appendTo(bNewRow);
            $("<td>").html(paramUserData[bI].lastname).appendTo(bNewRow);
            $("<td>").html(paramUserData[bI].country).appendTo(bNewRow);
            $("<td>").html(paramUserData[bI].subject).appendTo(bNewRow);
            $("<td>").html(paramUserData[bI].customerType).appendTo(bNewRow);
            $("<td>").html(paramUserData[bI].registerStatus).appendTo(bNewRow);

            var bColAction = $("<td>").appendTo(bNewRow);

            var bButtonEdit = $("<button>")
                .attr("class", "btn btn-primary col-6 btn-edit")
                .html("Sửa");

            bButtonEdit.attr("data-id", paramUserData[bI].id);
            bButtonEdit.attr("data-firstname", paramUserData[bI].firstname);
            bButtonEdit.attr("data-lastname", paramUserData[bI].lastname);
            bButtonEdit.attr("data-country", paramUserData[bI].country);
            bButtonEdit.attr("data-subject", paramUserData[bI].subject);
            bButtonEdit.attr("data-customerType", paramUserData[bI].customerType);
            bButtonEdit.attr("data-registerStatus", paramUserData[bI].registerStatus);

            bButtonEdit.appendTo(bColAction);

            var bButtonDelete = $("<button>")
                .attr("class", " btn btn-danger col-6 btn-delete")
                .html("Xóa");

            bButtonDelete.attr("data-id", paramUserData[bI].id);
            bButtonDelete.attr("data-firstname", paramUserData[bI].firstname);
            bButtonDelete.attr("data-lastname", paramUserData[bI].lastname);
            bButtonDelete.attr("data-country", paramUserData[bI].country);
            bButtonDelete.attr("data-subject", paramUserData[bI].subject);
            bButtonDelete.attr("data-customerType", paramUserData[bI].customerType);
            bButtonDelete.attr("data-registerStatus", paramUserData[bI].registerStatus);

            bButtonDelete.appendTo(bColAction);
        }
    }

    $("#tbl-users").on("click", ".btn-edit", onBtnEditClick);
    $("#tbl-users").on("click", ".btn-delete", onBtnDeleteclick);

    function onBtnEditClick(){
        "use strict";
        console.log("Bấm nút sửa, Id của user tương ứng là: " + $(this).data("id"));
    }

    function onBtnDeleteclick(){
        "use strict";
        console.log("Bấm nút xóa, Id của user tương ứng là: " + $(this).data("id"));
    }
</script>

</html>